[35954] trunk/dports/lang/erlang/files

bfulgham at macports.org bfulgham at macports.org
Thu Apr 10 21:45:37 PDT 2008


Revision: 35954
          http://trac.macosforge.org/projects/macports/changeset/35954
Author:   bfulgham at macports.org
Date:     2008-04-10 21:45:37 -0700 (Thu, 10 Apr 2008)

Log Message:
-----------
Updates required to build Erlang portfile.

Added Paths:
-----------
    trunk/dports/lang/erlang/files/patch-lib_crypto_priv_Makefile
    trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.dist
    trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.in
    trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_esock_openssl.c

Removed Paths:
-------------
    trunk/dports/lang/erlang/files/otp_src_R12B-0-osp1.patch
    trunk/dports/lang/erlang/files/patch-erts_emulator_hipe_hipe_x86_signal.c

Deleted: trunk/dports/lang/erlang/files/otp_src_R12B-0-osp1.patch
===================================================================
--- trunk/dports/lang/erlang/files/otp_src_R12B-0-osp1.patch	2008-04-11 04:04:56 UTC (rev 35953)
+++ trunk/dports/lang/erlang/files/otp_src_R12B-0-osp1.patch	2008-04-11 04:45:37 UTC (rev 35954)
@@ -1,1673 +0,0 @@
-diff -Naur otp_src_R12B-0/configure otp_src_R12B-0-osp1/configure
---- configure	2007-12-04 14:30:12.000000000 +0000
-+++ configure	2007-12-06 14:50:39.000000000 +0000
-@@ -272,7 +272,7 @@
- PACKAGE_BUGREPORT=
- 
- ac_subdirs_all="$ac_subdirs_all lib erts"
--ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ERL_TOP build build_cpu build_vendor build_os host host_cpu host_vendor host_os TARGET MAKE_PROG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S RANLIB ac_ct_RANLIB ERTS erl_mandir subdirs LIBOBJS LTLIBOBJS'
-+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ERL_TOP build build_cpu build_vendor build_os host host_cpu host_vendor host_os TARGET CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MAKE_PROG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S RANLIB ac_ct_RANLIB ERTS erl_mandir subdirs LIBOBJS LTLIBOBJS'
- ac_subst_files=''
- 
- # Initialize some variables set by options.
-@@ -713,6 +713,22 @@
- ac_env_target_alias_value=$target_alias
- ac_cv_env_target_alias_set=${target_alias+set}
- ac_cv_env_target_alias_value=$target_alias
-+ac_env_CC_set=${CC+set}
-+ac_env_CC_value=$CC
-+ac_cv_env_CC_set=${CC+set}
-+ac_cv_env_CC_value=$CC
-+ac_env_CFLAGS_set=${CFLAGS+set}
-+ac_env_CFLAGS_value=$CFLAGS
-+ac_cv_env_CFLAGS_set=${CFLAGS+set}
-+ac_cv_env_CFLAGS_value=$CFLAGS
-+ac_env_LDFLAGS_set=${LDFLAGS+set}
-+ac_env_LDFLAGS_value=$LDFLAGS
-+ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
-+ac_cv_env_LDFLAGS_value=$LDFLAGS
-+ac_env_CPPFLAGS_set=${CPPFLAGS+set}
-+ac_env_CPPFLAGS_value=$CPPFLAGS
-+ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
-+ac_cv_env_CPPFLAGS_value=$CPPFLAGS
- 
- #
- # Report the --help message.
-@@ -805,6 +821,20 @@
-   --with-ssl=PATH         specify location of OpenSSL include and lib
-   --with-ssl              use SSL (default)
-   --without-ssl           don't use SSL
-+  --with-gd=PATH          specify location of libgd include and lib
-+  --with-gd               use gd (default)
-+  --without-gd            don't use gd
-+
-+Some influential environment variables:
-+  CC          C compiler command
-+  CFLAGS      C compiler flags
-+  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-+              nonstandard directory <lib dir>
-+  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
-+              headers in a nonstandard directory <include dir>
-+
-+Use these variables to override the choices made by `configure' or to help
-+it to find libraries and programs with nonstandard names/locations.
- 
- _ACEOF
- fi
-@@ -1373,6 +1403,938 @@
- 
- 
- 
-+ac_ext=c
-+ac_cpp='$CPP $CPPFLAGS'
-+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-+ac_compiler_gnu=$ac_cv_c_compiler_gnu
-+if test -n "$ac_tool_prefix"; then
-+  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
-+set dummy ${ac_tool_prefix}gcc; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$CC"; then
-+  ac_cv_prog_CC="$CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_CC="${ac_tool_prefix}gcc"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+CC=$ac_cv_prog_CC
-+if test -n "$CC"; then
-+  echo "$as_me:$LINENO: result: $CC" >&5
-+echo "${ECHO_T}$CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+fi
-+if test -z "$ac_cv_prog_CC"; then
-+  ac_ct_CC=$CC
-+  # Extract the first word of "gcc", so it can be a program name with args.
-+set dummy gcc; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$ac_ct_CC"; then
-+  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_ac_ct_CC="gcc"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+ac_ct_CC=$ac_cv_prog_ac_ct_CC
-+if test -n "$ac_ct_CC"; then
-+  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-+echo "${ECHO_T}$ac_ct_CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+  CC=$ac_ct_CC
-+else
-+  CC="$ac_cv_prog_CC"
-+fi
-+
-+if test -z "$CC"; then
-+  if test -n "$ac_tool_prefix"; then
-+  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
-+set dummy ${ac_tool_prefix}cc; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$CC"; then
-+  ac_cv_prog_CC="$CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_CC="${ac_tool_prefix}cc"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+CC=$ac_cv_prog_CC
-+if test -n "$CC"; then
-+  echo "$as_me:$LINENO: result: $CC" >&5
-+echo "${ECHO_T}$CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+fi
-+if test -z "$ac_cv_prog_CC"; then
-+  ac_ct_CC=$CC
-+  # Extract the first word of "cc", so it can be a program name with args.
-+set dummy cc; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$ac_ct_CC"; then
-+  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_ac_ct_CC="cc"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+ac_ct_CC=$ac_cv_prog_ac_ct_CC
-+if test -n "$ac_ct_CC"; then
-+  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-+echo "${ECHO_T}$ac_ct_CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+  CC=$ac_ct_CC
-+else
-+  CC="$ac_cv_prog_CC"
-+fi
-+
-+fi
-+if test -z "$CC"; then
-+  # Extract the first word of "cc", so it can be a program name with args.
-+set dummy cc; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$CC"; then
-+  ac_cv_prog_CC="$CC" # Let the user override the test.
-+else
-+  ac_prog_rejected=no
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
-+       ac_prog_rejected=yes
-+       continue
-+     fi
-+    ac_cv_prog_CC="cc"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+if test $ac_prog_rejected = yes; then
-+  # We found a bogon in the path, so make sure we never use it.
-+  set dummy $ac_cv_prog_CC
-+  shift
-+  if test $# != 0; then
-+    # We chose a different compiler from the bogus one.
-+    # However, it has the same basename, so the bogon will be chosen
-+    # first if we set CC to just the basename; use the full file name.
-+    shift
-+    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
-+  fi
-+fi
-+fi
-+fi
-+CC=$ac_cv_prog_CC
-+if test -n "$CC"; then
-+  echo "$as_me:$LINENO: result: $CC" >&5
-+echo "${ECHO_T}$CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+fi
-+if test -z "$CC"; then
-+  if test -n "$ac_tool_prefix"; then
-+  for ac_prog in cl
-+  do
-+    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
-+set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$CC"; then
-+  ac_cv_prog_CC="$CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+CC=$ac_cv_prog_CC
-+if test -n "$CC"; then
-+  echo "$as_me:$LINENO: result: $CC" >&5
-+echo "${ECHO_T}$CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+    test -n "$CC" && break
-+  done
-+fi
-+if test -z "$CC"; then
-+  ac_ct_CC=$CC
-+  for ac_prog in cl
-+do
-+  # Extract the first word of "$ac_prog", so it can be a program name with args.
-+set dummy $ac_prog; ac_word=$2
-+echo "$as_me:$LINENO: checking for $ac_word" >&5
-+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-+if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test -n "$ac_ct_CC"; then
-+  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
-+else
-+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-+for as_dir in $PATH
-+do
-+  IFS=$as_save_IFS
-+  test -z "$as_dir" && as_dir=.
-+  for ac_exec_ext in '' $ac_executable_extensions; do
-+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-+    ac_cv_prog_ac_ct_CC="$ac_prog"
-+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-+    break 2
-+  fi
-+done
-+done
-+
-+fi
-+fi
-+ac_ct_CC=$ac_cv_prog_ac_ct_CC
-+if test -n "$ac_ct_CC"; then
-+  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-+echo "${ECHO_T}$ac_ct_CC" >&6
-+else
-+  echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
-+fi
-+
-+  test -n "$ac_ct_CC" && break
-+done
-+
-+  CC=$ac_ct_CC
-+fi
-+
-+fi
-+
-+
-+test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: no acceptable C compiler found in \$PATH
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+
-+# Provide some information about the compiler.
-+echo "$as_me:$LINENO:" \
-+     "checking for C compiler version" >&5
-+ac_compiler=`set X $ac_compile; echo $2`
-+{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-+  (eval $ac_compiler --version </dev/null >&5) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }
-+{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
-+  (eval $ac_compiler -v </dev/null >&5) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }
-+{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
-+  (eval $ac_compiler -V </dev/null >&5) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }
-+
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+
-+int
-+main ()
-+{
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+ac_clean_files_save=$ac_clean_files
-+ac_clean_files="$ac_clean_files a.out a.exe b.out"
-+# Try to create an executable without -o first, disregard a.out.
-+# It will help us diagnose broken compilers, and finding out an intuition
-+# of exeext.
-+echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
-+echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6
-+ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-+if { (eval echo "$as_me:$LINENO: \"$ac_link_default\"") >&5
-+  (eval $ac_link_default) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; then
-+  # Find the output, starting from the most likely.  This scheme is
-+# not robust to junk in `.', hence go to wildcards (a.*) only as a last
-+# resort.
-+
-+# Be careful to initialize this variable, since it used to be cached.
-+# Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
-+ac_cv_exeext=
-+# b.out is created by i960 compilers.
-+for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
-+do
-+  test -f "$ac_file" || continue
-+  case $ac_file in
-+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
-+	;;
-+    conftest.$ac_ext )
-+	# This is the source file.
-+	;;
-+    [ab].out )
-+	# We found the default executable, but exeext='' is most
-+	# certainly right.
-+	break;;
-+    *.* )
-+	ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
-+	# FIXME: I believe we export ac_cv_exeext for Libtool,
-+	# but it would be cool to find out if it's true.  Does anybody
-+	# maintain Libtool? --akim.
-+	export ac_cv_exeext
-+	break;;
-+    * )
-+	break;;
-+  esac
-+done
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+{ { echo "$as_me:$LINENO: error: C compiler cannot create executables
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: C compiler cannot create executables
-+See \`config.log' for more details." >&2;}
-+   { (exit 77); exit 77; }; }
-+fi
-+
-+ac_exeext=$ac_cv_exeext
-+echo "$as_me:$LINENO: result: $ac_file" >&5
-+echo "${ECHO_T}$ac_file" >&6
-+
-+# Check the compiler produces executables we can run.  If not, either
-+# the compiler is broken, or we cross compile.
-+echo "$as_me:$LINENO: checking whether the C compiler works" >&5
-+echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
-+# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
-+# If not cross compiling, check that we can run a simple program.
-+if test "$cross_compiling" != yes; then
-+  if { ac_try='./$ac_file'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+    cross_compiling=no
-+  else
-+    if test "$cross_compiling" = maybe; then
-+	cross_compiling=yes
-+    else
-+	{ { echo "$as_me:$LINENO: error: cannot run C compiled programs.
-+If you meant to cross compile, use \`--host'.
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run C compiled programs.
-+If you meant to cross compile, use \`--host'.
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+    fi
-+  fi
-+fi
-+echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6
-+
-+rm -f a.out a.exe conftest$ac_cv_exeext b.out
-+ac_clean_files=$ac_clean_files_save
-+# Check the compiler produces executables we can run.  If not, either
-+# the compiler is broken, or we cross compile.
-+echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
-+echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
-+echo "$as_me:$LINENO: result: $cross_compiling" >&5
-+echo "${ECHO_T}$cross_compiling" >&6
-+
-+echo "$as_me:$LINENO: checking for suffix of executables" >&5
-+echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
-+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-+  (eval $ac_link) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; then
-+  # If both `conftest.exe' and `conftest' are `present' (well, observable)
-+# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
-+# work properly (i.e., refer to `conftest.exe'), while it won't with
-+# `rm'.
-+for ac_file in conftest.exe conftest conftest.*; do
-+  test -f "$ac_file" || continue
-+  case $ac_file in
-+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
-+    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
-+	  export ac_cv_exeext
-+	  break;;
-+    * ) break;;
-+  esac
-+done
-+else
-+  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+fi
-+
-+rm -f conftest$ac_cv_exeext
-+echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
-+echo "${ECHO_T}$ac_cv_exeext" >&6
-+
-+rm -f conftest.$ac_ext
-+EXEEXT=$ac_cv_exeext
-+ac_exeext=$EXEEXT
-+echo "$as_me:$LINENO: checking for suffix of object files" >&5
-+echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
-+if test "${ac_cv_objext+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+
-+int
-+main ()
-+{
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.o conftest.obj
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; then
-+  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
-+  case $ac_file in
-+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
-+    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
-+       break;;
-+  esac
-+done
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot compute suffix of object files: cannot compile
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+fi
-+
-+rm -f conftest.$ac_cv_objext conftest.$ac_ext
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
-+echo "${ECHO_T}$ac_cv_objext" >&6
-+OBJEXT=$ac_cv_objext
-+ac_objext=$OBJEXT
-+echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
-+echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
-+if test "${ac_cv_c_compiler_gnu+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+
-+int
-+main ()
-+{
-+#ifndef __GNUC__
-+       choke me
-+#endif
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_compiler_gnu=yes
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_compiler_gnu=no
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+ac_cv_c_compiler_gnu=$ac_compiler_gnu
-+
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
-+echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
-+GCC=`test $ac_compiler_gnu = yes && echo yes`
-+ac_test_CFLAGS=${CFLAGS+set}
-+ac_save_CFLAGS=$CFLAGS
-+CFLAGS="-g"
-+echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
-+echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
-+if test "${ac_cv_prog_cc_g+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+
-+int
-+main ()
-+{
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_prog_cc_g=yes
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_cv_prog_cc_g=no
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
-+echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
-+if test "$ac_test_CFLAGS" = set; then
-+  CFLAGS=$ac_save_CFLAGS
-+elif test $ac_cv_prog_cc_g = yes; then
-+  if test "$GCC" = yes; then
-+    CFLAGS="-g -O2"
-+  else
-+    CFLAGS="-g"
-+  fi
-+else
-+  if test "$GCC" = yes; then
-+    CFLAGS="-O2"
-+  else
-+    CFLAGS=
-+  fi
-+fi
-+echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
-+echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
-+if test "${ac_cv_prog_cc_stdc+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  ac_cv_prog_cc_stdc=no
-+ac_save_CC=$CC
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+#include <stdarg.h>
-+#include <stdio.h>
-+#include <sys/types.h>
-+#include <sys/stat.h>
-+/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
-+struct buf { int x; };
-+FILE * (*rcsopen) (struct buf *, struct stat *, int);
-+static char *e (p, i)
-+     char **p;
-+     int i;
-+{
-+  return p[i];
-+}
-+static char *f (char * (*g) (char **, int), char **p, ...)
-+{
-+  char *s;
-+  va_list v;
-+  va_start (v,p);
-+  s = g (p, va_arg (v,int));
-+  va_end (v);
-+  return s;
-+}
-+
-+/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
-+   function prototypes and stuff, but not '\xHH' hex character constants.
-+   These don't provoke an error unfortunately, instead are silently treated
-+   as 'x'.  The following induces an error, until -std1 is added to get
-+   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
-+   array size at least.  It's necessary to write '\x00'==0 to get something
-+   that's true only with -std1.  */
-+int osf4_cc_array ['\x00' == 0 ? 1 : -1];
-+
-+int test (int i, double x);
-+struct s1 {int (*f) (int a);};
-+struct s2 {int (*f) (double a);};
-+int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
-+int argc;
-+char **argv;
-+int
-+main ()
-+{
-+return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+# Don't try gcc -ansi; that turns off useful extensions and
-+# breaks some systems' header files.
-+# AIX			-qlanglvl=ansi
-+# Ultrix and OSF/1	-std1
-+# HP-UX 10.20 and later	-Ae
-+# HP-UX older versions	-Aa -D_HPUX_SOURCE
-+# SVR4			-Xc -D__EXTENSIONS__
-+for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
-+do
-+  CC="$ac_save_CC $ac_arg"
-+  rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_prog_cc_stdc=$ac_arg
-+break
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+fi
-+rm -f conftest.err conftest.$ac_objext
-+done
-+rm -f conftest.$ac_ext conftest.$ac_objext
-+CC=$ac_save_CC
-+
-+fi
-+
-+case "x$ac_cv_prog_cc_stdc" in
-+  x|xno)
-+    echo "$as_me:$LINENO: result: none needed" >&5
-+echo "${ECHO_T}none needed" >&6 ;;
-+  *)
-+    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
-+echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
-+    CC="$CC $ac_cv_prog_cc_stdc" ;;
-+esac
-+
-+# Some people use a C++ compiler to compile C.  Since we use `exit',
-+# in C++ we need to declare it.  In case someone uses the same compiler
-+# for both compiling C and C++ we need to have the C++ compiler decide
-+# the declaration of exit, since it's the most demanding environment.
-+cat >conftest.$ac_ext <<_ACEOF
-+#ifndef __cplusplus
-+  choke me
-+#endif
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  for ac_declaration in \
-+   '' \
-+   'extern "C" void std::exit (int) throw (); using std::exit;' \
-+   'extern "C" void std::exit (int); using std::exit;' \
-+   'extern "C" void exit (int) throw ();' \
-+   'extern "C" void exit (int);' \
-+   'void exit (int);'
-+do
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_declaration
-+#include <stdlib.h>
-+int
-+main ()
-+{
-+exit (42);
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  :
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+continue
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_declaration
-+int
-+main ()
-+{
-+exit (42);
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  break
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+done
-+rm -f conftest*
-+if test -n "$ac_declaration"; then
-+  echo '#ifdef __cplusplus' >>confdefs.h
-+  echo $ac_declaration      >>confdefs.h
-+  echo '#endif'             >>confdefs.h
-+fi
-+
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+ac_ext=c
-+ac_cpp='$CPP $CPPFLAGS'
-+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-+ac_compiler_gnu=$ac_cv_c_compiler_gnu
-+
-+
-+
- #
- # We need GNU make, complain if we can't find it
- #
-@@ -1642,6 +2604,13 @@
- 
- fi;
- 
-+
-+# Check whether --with-gd or --without-gd was given.
-+if test "${with_gd+set}" = set; then
-+  withval="$with_gd"
-+
-+fi;
-+
- #
- # Set Erlang man page directory
- #
-@@ -1702,7 +2671,7 @@
-    { (exit 1); exit 1; }; }
- 	fi
- 	enable_hipe=no
--	CFLAGS="-m64"
-+	CFLAGS="-m64 $CFLAGS"
- 	export CFLAGS
- 	LDFLAGS="-m64 $LDFLAGS"
- 	export LDFLAGS
-@@ -2360,6 +3329,13 @@
- s, at host_vendor@,$host_vendor,;t t
- s, at host_os@,$host_os,;t t
- s, at TARGET@,$TARGET,;t t
-+s, at CC@,$CC,;t t
-+s, at CFLAGS@,$CFLAGS,;t t
-+s, at LDFLAGS@,$LDFLAGS,;t t
-+s, at CPPFLAGS@,$CPPFLAGS,;t t
-+s, at ac_ct_CC@,$ac_ct_CC,;t t
-+s, at EXEEXT@,$EXEEXT,;t t
-+s, at OBJEXT@,$OBJEXT,;t t
- s, at MAKE_PROG@,$MAKE_PROG,;t t
- s, at INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
- s, at INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
-diff -Naur otp_src_R12B-0/configure.in otp_src_R12B-0-osp1/configure.in
---- configure.in	2007-11-28 12:10:28.000000000 +0000
-+++ configure.in	2007-12-06 14:21:33.000000000 +0000
-@@ -68,6 +68,9 @@
- 
- dnl Checks for programs.
- 
-+AC_PROG_CC
-+
-+
- #
- # We need GNU make, complain if we can't find it
- #
-@@ -149,6 +152,11 @@
-   --with-ssl              use SSL (default)
-   --without-ssl           don't use SSL])
- 
-+AC_ARG_WITH(gd,
-+[  --with-gd=PATH          specify location of libgd include and lib
-+  --with-gd               use gd (default)
-+  --without-gd            don't use gd])
-+
- #
- # Set Erlang man page directory
- #
-@@ -195,7 +203,7 @@
- 		AC_MSG_ERROR([--enable-darwin-64bit only supported on x86 host])	
- 	fi
- 	enable_hipe=no
--	CFLAGS="-m64"
-+	CFLAGS="-m64 $CFLAGS"
- 	export CFLAGS
- 	LDFLAGS="-m64 $LDFLAGS"
- 	export LDFLAGS
-diff -Naur otp_src_R12B-0/erts/aclocal.m4 otp_src_R12B-0-osp1/erts/aclocal.m4
---- erts/aclocal.m4	2007-11-26 18:57:52.000000000 +0000
-+++ erts/aclocal.m4	2007-12-04 11:30:06.000000000 +0000
-@@ -653,6 +653,9 @@
- 	ETHR_LIB_NAME=$ethr_lib_name
- fi
- 
-+AC_CHECK_SIZEOF(void *, 4)
-+AC_DEFINE_UNQUOTED(ETHR_SIZEOF_PTR, $ac_cv_sizeof_void_p, [Define to the size of pointers])
-+
- AC_DEFINE(ETHR_HAVE_ETHREAD_DEFINES, 1, \
- [Define if you have all ethread defines])
- 
-diff -Naur otp_src_R12B-0/erts/config.h.in otp_src_R12B-0-osp1/erts/config.h.in
---- erts/config.h.in	2007-12-04 14:30:10.000000000 +0000
-+++ erts/config.h.in	2007-12-06 14:47:17.000000000 +0000
-@@ -1,4 +1,4 @@
--/* config.h.in.  Generated from configure.in by autoheader.  */
-+/* config.h.in.  Generated from ./configure.in by autoheader.  */
- 
- 
- #define GHBN_R_SOLARIS  2
-@@ -111,6 +111,9 @@
- /* Define if you have pthreads */
- #undef ETHR_PTHREADS
- 
-+/* Define to the size of pointers */
-+#undef ETHR_SIZEOF_PTR
-+
- /* Define if you can safely include both <sys/time.h> and <time.h>. */
- #undef ETHR_TIME_WITH_SYS_TIME
- 
-diff -Naur otp_src_R12B-0/erts/configure otp_src_R12B-0-osp1/erts/configure
---- erts/configure	2007-12-04 14:30:08.000000000 +0000
-+++ erts/configure	2007-12-06 14:47:38.000000000 +0000
-@@ -877,7 +877,7 @@
-   --with-ssl=PATH         specify location of OpenSSL include and lib
-   --with-ssl              use SSL (default)
-   --without-ssl           don't use SSL
--  --with-gd=PATH         specify location of gd include and lib
-+  --with-gd=PATH         specify location of libgd include and lib
-   --with-gd              use gd (default)
-   --without-gd           don't use gd
- 
-@@ -7557,6 +7557,426 @@
- 	ETHR_LIB_NAME=$ethr_lib_name
- fi
- 
-+echo "$as_me:$LINENO: checking for void *" >&5
-+echo $ECHO_N "checking for void *... $ECHO_C" >&6
-+if test "${ac_cv_type_void_p+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+if ((void * *) 0)
-+  return 0;
-+if (sizeof (void *))
-+  return 0;
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_type_void_p=yes
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_cv_type_void_p=no
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_type_void_p" >&5
-+echo "${ECHO_T}$ac_cv_type_void_p" >&6
-+
-+echo "$as_me:$LINENO: checking size of void *" >&5
-+echo $ECHO_N "checking size of void *... $ECHO_C" >&6
-+if test "${ac_cv_sizeof_void_p+set}" = set; then
-+  echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+  if test "$ac_cv_type_void_p" = yes; then
-+  # The cast to unsigned long works around a bug in the HP C Compiler
-+  # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
-+  # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
-+  # This bug is HP SR number 8606223364.
-+  if test "$cross_compiling" = yes; then
-+  # Depending upon the size, compute the lo and hi bounds.
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+static int test_array [1 - 2 * !(((long) (sizeof (void *))) >= 0)];
-+test_array [0] = 0
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_lo=0 ac_mid=0
-+  while :; do
-+    cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+static int test_array [1 - 2 * !(((long) (sizeof (void *))) <= $ac_mid)];
-+test_array [0] = 0
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_hi=$ac_mid; break
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_lo=`expr $ac_mid + 1`
-+		    if test $ac_lo -le $ac_mid; then
-+		      ac_lo= ac_hi=
-+		      break
-+		    fi
-+		    ac_mid=`expr 2 '*' $ac_mid + 1`
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+  done
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+static int test_array [1 - 2 * !(((long) (sizeof (void *))) < 0)];
-+test_array [0] = 0
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_hi=-1 ac_mid=-1
-+  while :; do
-+    cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+static int test_array [1 - 2 * !(((long) (sizeof (void *))) >= $ac_mid)];
-+test_array [0] = 0
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_lo=$ac_mid; break
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_hi=`expr '(' $ac_mid ')' - 1`
-+		       if test $ac_mid -le $ac_hi; then
-+			 ac_lo= ac_hi=
-+			 break
-+		       fi
-+		       ac_mid=`expr 2 '*' $ac_mid`
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+  done
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_lo= ac_hi=
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+# Binary search between lo and hi bounds.
-+while test "x$ac_lo" != "x$ac_hi"; do
-+  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+int
-+main ()
-+{
-+static int test_array [1 - 2 * !(((long) (sizeof (void *))) <= $ac_mid)];
-+test_array [0] = 0
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-+  (eval $ac_compile) 2>conftest.er1
-+  ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } &&
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest.$ac_objext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_hi=$ac_mid
-+else
-+  echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ac_lo=`expr '(' $ac_mid ')' + 1`
-+fi
-+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-+done
-+case $ac_lo in
-+?*) ac_cv_sizeof_void_p=$ac_lo;;
-+'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (void *), 77
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot compute sizeof (void *), 77
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; } ;;
-+esac
-+else
-+  if test "$cross_compiling" = yes; then
-+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot run test program while cross compiling
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+else
-+  cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+$ac_includes_default
-+long longval () { return (long) (sizeof (void *)); }
-+unsigned long ulongval () { return (long) (sizeof (void *)); }
-+#include <stdio.h>
-+#include <stdlib.h>
-+int
-+main ()
-+{
-+
-+  FILE *f = fopen ("conftest.val", "w");
-+  if (! f)
-+    exit (1);
-+  if (((long) (sizeof (void *))) < 0)
-+    {
-+      long i = longval ();
-+      if (i != ((long) (sizeof (void *))))
-+	exit (1);
-+      fprintf (f, "%ld\n", i);
-+    }
-+  else
-+    {
-+      unsigned long i = ulongval ();
-+      if (i != ((long) (sizeof (void *))))
-+	exit (1);
-+      fprintf (f, "%lu\n", i);
-+    }
-+  exit (ferror (f) || fclose (f) != 0);
-+
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest$ac_exeext
-+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-+  (eval $ac_link) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; }; then
-+  ac_cv_sizeof_void_p=`cat conftest.val`
-+else
-+  echo "$as_me: program exited with status $ac_status" >&5
-+echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+( exit $ac_status )
-+{ { echo "$as_me:$LINENO: error: cannot compute sizeof (void *), 77
-+See \`config.log' for more details." >&5
-+echo "$as_me: error: cannot compute sizeof (void *), 77
-+See \`config.log' for more details." >&2;}
-+   { (exit 1); exit 1; }; }
-+fi
-+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-+fi
-+fi
-+rm -f conftest.val
-+else
-+  ac_cv_sizeof_void_p=0
-+fi
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_sizeof_void_p" >&5
-+echo "${ECHO_T}$ac_cv_sizeof_void_p" >&6
-+cat >>confdefs.h <<_ACEOF
-+#define SIZEOF_VOID_P $ac_cv_sizeof_void_p
-+_ACEOF
-+
-+
-+
-+cat >>confdefs.h <<_ACEOF
-+#define ETHR_SIZEOF_PTR $ac_cv_sizeof_void_p
-+_ACEOF
-+
-+
- 
- cat >>confdefs.h <<\_ACEOF
- #define ETHR_HAVE_ETHREAD_DEFINES 1
-@@ -20181,7 +20601,7 @@
- 	else
- 		gd_found=no
- 		gd_linkable=no
--		for dir in /usr/local/pgm /usr/local /usr
-+		for dir in /usr/local/pgm /usr/local /usr /opt /opt/local /sw
- 		do
- 			if test "x$ARCH" = "xamd64" -o \
- 				"x$ARCH" = "xppc64"; then
-@@ -20283,7 +20703,7 @@
- else
- 	if test -f "$with_gd/lib/libgd.$soext"; then
- 		GD_LIB="$with_gd/lib"
--		GD_INCLUDE="$with_gd/include"
-+		GD_INCLUDE="-I$with_gd/include"
- 		echo "$as_me:$LINENO: result: $GD_LIB" >&5
- echo "${ECHO_T}$GD_LIB" >&6
- 	else
-diff -Naur otp_src_R12B-0/erts/configure.in otp_src_R12B-0-osp1/erts/configure.in
---- erts/configure.in	2007-11-28 16:50:44.000000000 +0000
-+++ erts/configure.in	2007-12-06 14:21:32.000000000 +0000
-@@ -2980,7 +2980,7 @@
- 
- dnl check for gd.h, gdfontt.h, gdfonts.h, gdfontmb.h, gdfontl.h, gdfontg.h
- AC_ARG_WITH(gd,
--[  --with-gd=PATH         specify location of gd include and lib
-+[  --with-gd=PATH         specify location of libgd include and lib
-   --with-gd              use gd (default)
-   --without-gd           don't use gd])
- 
-@@ -3007,7 +3007,7 @@
- 	else
- 		gd_found=no
- 		gd_linkable=no
--		for dir in /usr/local/pgm /usr/local /usr
-+		for dir in /usr/local/pgm /usr/local /usr /opt /opt/local /sw
- 		do
- 			if test "x$ARCH" = "xamd64" -o \
- 				"x$ARCH" = "xppc64"; then
-@@ -3065,7 +3065,7 @@
- dnl	With a given path to gd
- 	if test -f "$with_gd/lib/libgd.$soext"; then
- 		GD_LIB="$with_gd/lib"
--		GD_INCLUDE="$with_gd/include"
-+		GD_INCLUDE="-I$with_gd/include"
- 		AC_MSG_RESULT([$GD_LIB])
- 	else
- 		GD_APP=
-diff -Naur otp_src_R12B-0/erts/include/internal/ethread.h otp_src_R12B-0-osp1/erts/include/internal/ethread.h
---- erts/include/internal/ethread.h	2007-11-26 19:00:01.000000000 +0000
-+++ erts/include/internal/ethread.h	2007-12-05 13:25:35.000000000 +0000
-@@ -673,14 +673,18 @@
- #  if __GNUC__ < 3 && (__GNUC__ != 2 || __GNUC_MINOR__ < 96)
- #    define __builtin_expect(X, Y) (X)
- #  endif
--#  if defined(__i386__)
--#    include "i386/ethread.h"
--#  elif defined(__x86_64__)
--#    include "x86_64/ethread.h"
--#  elif (defined(__powerpc__) || defined(__ppc__)) && !defined(__powerpc64__)
--#    include "ppc32/ethread.h"
--#  elif defined(__sparc__)
--#    include "sparc32/ethread.h"
-+#  if ETHR_SIZEOF_PTR == 4
-+#    if defined(__i386__)
-+#      include "i386/ethread.h"
-+#    elif (defined(__powerpc__) || defined(__ppc__)) && !defined(__powerpc64__)
-+#      include "ppc32/ethread.h"
-+#    elif defined(__sparc__)
-+#      include "sparc32/ethread.h"
-+#    endif
-+#  elif ETHR_SIZEOF_PTR == 8
-+#    if defined(__x86_64__)
-+#      include "x86_64/ethread.h"
-+#    endif
- #  endif
- #endif /* !defined(ETHR_DISABLE_NATIVE_IMP) && defined(__GNUC__) */
- 
-diff -Naur otp_src_R12B-0/erts/include/internal/ethread_header_config.h.in otp_src_R12B-0-osp1/erts/include/internal/ethread_header_config.h.in
---- erts/include/internal/ethread_header_config.h.in	2007-11-26 19:00:03.000000000 +0000
-+++ erts/include/internal/ethread_header_config.h.in	2007-12-04 11:30:07.000000000 +0000
-@@ -16,6 +16,9 @@
-  *     $Id$
-  */
- 
-+/* Define to the size of pointers */
-+#undef ETHR_SIZEOF_PTR
-+
- /* Define if you have win32 threads */
- #undef ETHR_WIN32_THREADS
- 
-diff -Naur otp_src_R12B-0/erts/lib_src/common/ethread.c otp_src_R12B-0-osp1/erts/lib_src/common/ethread.c
---- erts/lib_src/common/ethread.c	2007-11-26 19:00:01.000000000 +0000
-+++ erts/lib_src/common/ethread.c	2007-12-04 11:30:06.000000000 +0000
-@@ -516,7 +516,7 @@
- #ifdef ETHR_HAVE_PTHREAD_SPIN_LOCK
- 	    res = pthread_spin_init(&ethr_atomic_protection__[i].u.spnlck, 0);
- #else
--	    res = pthread_mutex_init(&ethr_atomic_protection__[i].u.mtx, NULL);
-+	    res = ethr_mutex_init(&ethr_atomic_protection__[i].u.mtx);
- #endif
- 	    if (res != 0)
- 		goto error;
-diff -Naur otp_src_R12B-0/lib/compiler/src/v3_codegen.erl otp_src_R12B-0-osp1/lib/compiler/src/v3_codegen.erl
---- lib/compiler/src/v3_codegen.erl	2007-11-26 18:57:57.000000000 +0000
-+++ lib/compiler/src/v3_codegen.erl	2007-12-06 14:16:48.000000000 +0000
-@@ -1457,6 +1457,8 @@
-     Sizes = filter(fun({_,{integer,0}}) -> false;
- 		      (_) -> true end, Sizes0),
-     case Sizes of
-+	[] ->
-+	    {bs_init2,[{integer,0}]};
- 	[{1,_}|_] ->
- 	    {bs_init_bits,cg_binary_bytes_to_bits(Sizes, [])};
- 	[{8,_}|_] ->
-diff -Naur otp_src_R12B-0/lib/kernel/src/file.erl otp_src_R12B-0-osp1/lib/kernel/src/file.erl
---- lib/kernel/src/file.erl	2007-11-26 18:55:35.000000000 +0000
-+++ lib/kernel/src/file.erl	2007-12-06 13:36:20.000000000 +0000
-@@ -395,7 +395,7 @@
- 	
- 
- read(File, Sz) when is_pid(File), is_integer(Sz), Sz >= 0 ->
--    case io:request(File, {get_chars, "", Sz}) of
-+    case io:request(File, {get_chars, '', Sz}) of
- 	Data when is_list(Data); is_binary(Data) ->
- 	    {ok, Data};
- 	Other ->
-@@ -1004,7 +1004,7 @@
-     consult_stream(Fd, 1, []).
- 
- consult_stream(Fd, Line, Acc) ->
--    case io:read(Fd, "", Line) of
-+    case io:read(Fd, '', Line) of
- 	{ok,Term,EndLine} ->
- 	    consult_stream(Fd, EndLine, [Term|Acc]);
- 	{error,Error,_Line} ->

Deleted: trunk/dports/lang/erlang/files/patch-erts_emulator_hipe_hipe_x86_signal.c
===================================================================
--- trunk/dports/lang/erlang/files/patch-erts_emulator_hipe_hipe_x86_signal.c	2008-04-11 04:04:56 UTC (rev 35953)
+++ trunk/dports/lang/erlang/files/patch-erts_emulator_hipe_hipe_x86_signal.c	2008-04-11 04:45:37 UTC (rev 35954)
@@ -1,14 +0,0 @@
---- erts/emulator/hipe/hipe_x86_signal.c.orig	2007-06-18 22:30:20.000000000 -0700
-+++ erts/emulator/hipe/hipe_x86_signal.c	2007-06-18 22:36:55.000000000 -0700
-@@ -256,7 +256,11 @@
-  */
- static void hipe_sigaltstack(void *ss_sp)
- {
-+#if __DARWIN_UNIX03
-+    stack_t ss;
-+#else
-     struct sigaltstack ss;
-+#endif
- 
-     ss.ss_sp = ss_sp;
-     ss.ss_flags = SS_ONSTACK;

Added: trunk/dports/lang/erlang/files/patch-lib_crypto_priv_Makefile
===================================================================
--- trunk/dports/lang/erlang/files/patch-lib_crypto_priv_Makefile	                        (rev 0)
+++ trunk/dports/lang/erlang/files/patch-lib_crypto_priv_Makefile	2008-04-11 04:45:37 UTC (rev 35954)
@@ -0,0 +1,11 @@
+--- lib/crypto/priv/Makefile.orig	2008-03-12 22:36:10.000000000 -0700
++++ lib/crypto/priv/Makefile	2008-03-12 22:35:47.000000000 -0700
+@@ -61,7 +61,7 @@
+ 
+ $(SO_DRIVER): $(OBJS)
+ 	$(SO_LD) $(SO_LDFLAGS) -L$(SO_SSL_LIBDIR) -Wl,-R$(SO_SSL_LIBDIR) \
+-	-o $@ $^ -lcrypto
++	-o $@ $^ -lcrypto -lz
+ 
+ $(DLL_DRIVER): $(OBJS)
+ 	$(DLL_LD) $(DLL_LDFLAGS) -out:$@ -libpath:$(DLL_LIBDIR) $(OBJS) \

Added: trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.dist
===================================================================
--- trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.dist	                        (rev 0)
+++ trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.dist	2008-04-11 04:45:37 UTC (rev 35954)
@@ -0,0 +1,8 @@
+--- lib/ssl/c_src/Makefile.dist.orig	2008-03-12 22:24:42.000000000 -0700
++++ lib/ssl/c_src/Makefile.dist	2008-03-12 22:24:21.000000000 -0700
+@@ -11,4 +11,4 @@
+ 
+ $(BINDIR)/ssl_esock: $(OBJS)
+ 	$(CC) -L$(SSL_LIBDIR) -Wl,-R$(SSL_LIBDIR) -o $@ $^ \
+-		$(LIBS) -lssl -lcrypto
++		$(LIBS) -lssl -lcrypto -lz

Added: trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.in
===================================================================
--- trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.in	                        (rev 0)
+++ trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_Makefile.in	2008-04-11 04:45:37 UTC (rev 35954)
@@ -0,0 +1,11 @@
+--- lib/ssl/c_src/Makefile.in.orig	2008-03-12 22:24:54.000000000 -0700
++++ lib/ssl/c_src/Makefile.in	2008-03-12 22:23:55.000000000 -0700
+@@ -124,7 +124,7 @@
+ CC_R_OPT = $(CC_R_FLAG)$(SSL_LIBDIR)
+ endif
+ 
+-SSL_LINK_LIB=-L$(SSL_LIBDIR) -lssl -lcrypto
++SSL_LINK_LIB=-L$(SSL_LIBDIR) -lssl -lcrypto -lz
+ else 
+ # not dynamic crypto lib (default from R11B-5)
+ NEED_KERBEROS=@SSL_LINK_WITH_KERBEROS@

Added: trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_esock_openssl.c
===================================================================
--- trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_esock_openssl.c	                        (rev 0)
+++ trunk/dports/lang/erlang/files/patch-lib_ssl_c_src_esock_openssl.c	2008-04-11 04:45:37 UTC (rev 35954)
@@ -0,0 +1,13 @@
+--- lib/ssl/c_src/esock_openssl.c.orig	2008-03-12 22:15:41.000000000 -0700
++++ lib/ssl/c_src/esock_openssl.c	2008-03-12 22:16:01.000000000 -0700
+@@ -905,8 +905,8 @@
+     }
+ 
+     /* info callback */
+-    if (debug) 
+-	SSL_CTX_set_info_callback(ctx, info_callback);
++    /*if (debug) 
++	SSL_CTX_set_info_callback(ctx, info_callback); */
+ 
+     DEBUGF(("set_ssl_parameters: done\n"));
+     /* Free arg list */

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20080410/1a05c0b8/attachment-0001.html


More information about the macports-changes mailing list